Bug 205762 - [SLL] Generate runs for preserved new lines
Summary: [SLL] Generate runs for preserved new lines
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-01-03 18:36 PST by zalan
Modified: 2020-02-10 11:42 PST (History)
13 users (show)

See Also:


Attachments
Patch (228.45 KB, patch)
2020-01-03 18:44 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (232.81 KB, patch)
2020-01-03 19:54 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (423.07 KB, patch)
2020-01-04 15:15 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (430.13 KB, patch)
2020-01-04 16:56 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (481.72 KB, patch)
2020-01-05 06:44 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (531.91 KB, patch)
2020-01-05 07:40 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (572.78 KB, patch)
2020-01-05 08:24 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (609.96 KB, patch)
2020-01-05 08:42 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (632.97 KB, patch)
2020-01-05 09:07 PST, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2020-01-03 18:36:33 PST
to match CLL behavior
Comment 1 Radar WebKit Bug Importer 2020-01-03 18:36:57 PST
<rdar://problem/58311927>
Comment 2 zalan 2020-01-03 18:44:05 PST
Created attachment 386742 [details]
Patch
Comment 3 zalan 2020-01-03 18:44:23 PST
EWS testing
Comment 4 zalan 2020-01-03 19:54:11 PST
Created attachment 386748 [details]
Patch
Comment 5 zalan 2020-01-04 15:15:21 PST
Created attachment 386769 [details]
Patch
Comment 6 zalan 2020-01-04 16:56:37 PST
Created attachment 386774 [details]
Patch
Comment 7 zalan 2020-01-05 06:44:58 PST
Created attachment 386786 [details]
Patch
Comment 8 zalan 2020-01-05 07:40:33 PST
Created attachment 386788 [details]
Patch
Comment 9 zalan 2020-01-05 08:24:29 PST
Created attachment 386790 [details]
Patch
Comment 10 zalan 2020-01-05 08:42:33 PST
Created attachment 386791 [details]
Patch
Comment 11 zalan 2020-01-05 09:07:56 PST
Created attachment 386792 [details]
Patch
Comment 12 WebKit Commit Bot 2020-01-05 11:23:28 PST
Comment on attachment 386792 [details]
Patch

Clearing flags on attachment: 386792

Committed r254044: <https://trac.webkit.org/changeset/254044>
Comment 13 WebKit Commit Bot 2020-01-05 11:23:30 PST
All reviewed patches have been landed.  Closing bug.
Comment 14 Truitt Savell 2020-01-06 08:57:47 PST
It looks like the changes in https://trac.webkit.org/changeset/254044/webkit 
broke tables/mozilla_expected_failures/bugs/bug2479-5.html

tracking in https://bugs.webkit.org/show_bug.cgi?id=205805